# ClassIdC

# Class hierarchy

ClassIdC

# Overview

This class represents the unique class ID for a Demopaja plugin class. A Class ID consists of two 32-bit numbers. The class ID must be unique, since plugin classes are identified by it. To avoid any conflicts always generate random class ID for each plugin class you use. You should use the Class ID generator (classidgen.exe) provided with this documentation. A class ID with two zero numbers is a NULL class ID, and is not a valid ID.

Class IDs which has zero first (A) part are reserved to be used only by the Demopaja development team. If you use one of the sample plugins as basis of your own plugin remember to change the class IDs!

This class is implemented by the system.

Header: | ClassIdC.h
Library: | core.lib

# Class members

`ClassIdC();`

#### Remarks

Default constructor. Assigns each number to zero (NULL class ID).

`ClassIdC( uint32 ui32ClassA uint32 ui32ClassB );`

#### Parameters

ui32ClassA
  Integer assigned to the first part of the class ID.
ui32ClassB
  Integer assigned to the second part of the class ID.

#### Remarks

Creates a new class ID with the values assigned from the arguments.

`ClassIdC( const ClassIdC& rClassId );`

#### Parameters

rClassId
  A reference to the class ID to copy.

#### Remarks

Creates a new class ID with the same values as the argument.

`uint32 get_class_a();`

#### Return value

The first part of the class ID.

`uint32 get_class_b();`

#### Return value

The second part of the class ID.

`bool operator==( const ClassIdC& rClassId ) const;`

#### Parameters

rClassId
  Reference to the class ID which to compare.

#### Return value

True if the class IDs are equal, else false.

`bool operator!=( const ClassIdC& rClassId ) const;`

#### Parameters

rClassId
  Reference to the class ID which to compare.

#### Return value

True if the class IDs are not equal, else false.

`ClassIdC& operator=( const ClassIdC& rClassId );`

#### Parameters

rClassId
  Reference to the class ID to copy.

#### Return value

Reference to the class ID.

Copyright © 2000 Moppi Productions